package com.vendor.loader.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.IOException;
import java.io.OutputStream;
import java.io.RandomAccessFile;

public class RandomFileOutputStream extends OutputStream {
  private RandomAccessFile out;
  
  private int offset;
  
  public RandomFileOutputStream(String filename) throws IOException {
    this.out = new RandomAccessFile(filename, "rw");
    this.out.seek(0L);
    this.offset = 0;
  }
  
  public void write(int b) throws IOException {
    this.out.write(b);
    this.offset++;
    outputChanged();
  }
  
  private void outputChanged() {}
  
  public void write(byte[] b) throws IOException {
    this.out.write(b);
    this.offset += b.length;
    outputChanged();
  }
  
  public void write(byte[] b, int off, int len) throws IOException {
    this.out.write(b, off, len);
    this.offset += len;
    outputChanged();
  }
  
  public void close() throws IOException {
    this.out.close();
  }
  
  public long getPosition() throws IOException {
    return this.out.getFilePointer();
  }
  
  public void setPostion(long pos) throws IOException {
    this.out.seek(pos);
  }
  
  public void skip(int n) throws IOException {
    for (int i = 0; i < n; i++)
      this.out.write(0); 
  }
}
